Skip to main content
POST
/
v1
/
dome-configs
Create Dome Config
curl --request POST \
  --url https://api.example.com/v1/dome-configs \
  --header 'Content-Type: application/json' \
  --data '
{
  "config_body": {},
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": 123,
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "pending",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "config_body": {},
  "dome_instance_url": "<string>",
  "updated_at": 123,
  "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Query Parameters

team_id
string<uuid>
required

Team ID (required)

Body

application/json

Request model for creating a Dome configuration.

config_body
Config Body · object

Guard configuration. If not provided, uses default config.

agent_id
string<uuid> | null

Agent to bind this config to. When set, writes config_pending.json to storage.

Response

Successful Response

API response model for Dome configuration.

id and optional agent_id are top-level fields. config_body is the guard configuration dict (Dome-facing payload). Other metadata (e.g. team_id, timestamps, created_by) is included in the wire shape as returned by the domain model's to_wire() — see OpenAPI schema for the full response shape.

id
string<uuid>
required
created_at
integer
required
created_by
string<uuid>
required
status
string
default:pending
agent_id
string<uuid> | null
config_body
Config Body · object
dome_instance_url
string | null
updated_at
integer | null
updated_by
string<uuid> | null
Last modified on April 21, 2026